%define current_version 7.0.9

Summary: Parallels utilities for Compacting Virtual Disks
Name: pcompact
Version: %{current_version}
Release:        2%{?dist}
License: GPLv2
Group:  Application/System

Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: libvzctl >= 6.0.0-7, ploop-lib >= 6.1.0-14
BuildRequires: libvzctl >= 6.0.0-7, libvzctl-devel >= 6.0.0-7
BuildRequires: ploop-lib >= 6.1.0-14, ploop-devel >= 6.1.0-14
BuildRequires: yajl-devel
ExclusiveArch: x86_64

%description
This utility cleans up the unused disk space on expanding virtual hard disks
and cuts off the cleaned free space thus reducing the sizes of virtual hard
disk image files.

%prep
%setup -q

%build

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%{_sbindir}
mkdir -p %buildroot/etc/vz
mkdir -p %buildroot/etc/cron.d
mkdir -p %buildroot/%{_mandir}/man8
mkdir -p %buildroot/%{_mandir}/man5

install -m 755 pcompact %buildroot/%{_sbindir}/pcompact
install -m 644 etc/pcompact.conf %buildroot/etc/vz/pcompact.conf
install -m 644 etc/cron.d/pcompact %buildroot/etc/cron.d/pcompact
install -m 644 pcompact.8 %buildroot/%{_mandir}/man8/
install -m 644 pcompact.conf.5 %buildroot/%{_mandir}/man5

%{__mkdir} -p %{buildroot}%{_docdir}/%{name}-%{version}
install -m 644 COPYING GPL-2.0  %{buildroot}%{_docdir}/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(755, root, root) %{_sbindir}/pcompact
%config(noreplace) %attr(644,root,root) /etc/vz/pcompact.conf
%config(noreplace) %attr(644,root,root) /etc/cron.d/pcompact
%_mandir/man8/%{name}.8*
%_mandir/man5/%{name}.conf.5*
%{_docdir}/%{name}-%{version}

%changelog
* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.9-2
- Rebuild in 7.3 environment

* Wed Jun 08 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.9
 - Switch main source git repo to src.openvz
 - Technical rebuild, see #PSBM-47948

* Sat Mar 12 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.8
 - Style: added headers and macroses in man pages are expanded PSBM-44905

* Tue Nov 10 2015 Igor Sukhih <igor@parallels.com> 7.0.7
 - BUGFIX use ploop api to initiate image defragmentation, #PSBM-41174

* Fri Nov 06 2015 Igor Sukhih <igor@parallels.com> 7.0.5
 - pcompact: undefined symbol: ploop_free_diskdescriptor #PSBM-40967

* Tue Oct 27 2015 Igor Sukhih <igor@parallels.com> 7.0.4
 - Make description of DELTA parameter more precise #PSBM-38870 #PSBM-38871
 - pcompact doesn't free disk space #PSBM-18690

* Tue May 05 2015 Igor Sukhih <igor@parallels.com> 7.0.3
* rebuild with libvzctl2

* Fri Apr 10 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.2
 - Added license text #PSBM-26806
 - deleted pcompact.spec: #PSBM-32811
 - License changed to GPLv2 #PSBM-26806

* Tue Apr 07 2015 Konstantin Volkov <wolf@parallels.com> 7.0.1
 - Adopted for vzbuild

